NX Open C++ Reference Guide
NXOpen::Routing::FixturePortCollection Member List

This is the complete list of members for NXOpen::Routing::FixturePortCollection, including all inherited members.

begin()NXOpen::Routing::FixturePortCollection
CreateFixturePort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, const NXOpen::Vector3d &rotationVector, NXOpen::DisplayableObject *rotationObject, double clockAngle)NXOpen::Routing::FixturePortCollection
CreateFixturePort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector)NXOpen::Routing::FixturePortCollection
CreateFixturePort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, const NXOpen::Vector3d &rotationVector, NXOpen::DisplayableObject *rotationObject, double clockAngle, NXOpen::Point *point)NXOpen::Routing::FixturePortCollection
CreateFixturePort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, NXOpen::Point *point)NXOpen::Routing::FixturePortCollection
CreateFixturePort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, const NXOpen::Vector3d &rotationVector, NXOpen::DisplayableObject *rotationObject, double clockAngle, NXOpen::Axis *axis)NXOpen::Routing::FixturePortCollection
CreateFixturePort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, NXOpen::Axis *derivationObject)NXOpen::Routing::FixturePortCollection
CreateFixturePort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, const NXOpen::Vector3d &rotationVector, NXOpen::DisplayableObject *rotationObject, double clockAngle, bool allowMultipleConnections)NXOpen::Routing::FixturePortCollection
CreateFixturePort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, bool allowMultipleConnections)NXOpen::Routing::FixturePortCollection
CreateFixturePort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, const NXOpen::Vector3d &rotationVector, NXOpen::DisplayableObject *rotationObject, double clockAngle, NXOpen::Point *point, bool allowMultipleConnections)NXOpen::Routing::FixturePortCollection
CreateFixturePort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, NXOpen::Point *point, bool allowMultipleConnections)NXOpen::Routing::FixturePortCollection
CreateFixturePort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, const NXOpen::Vector3d &rotationVector, NXOpen::DisplayableObject *rotationObject, double clockAngle, NXOpen::Axis *axis, bool allowMultipleConnections)NXOpen::Routing::FixturePortCollection
CreateFixturePort(const NXOpen::Point3d &origin, const NXOpen::Vector3d &alignmentVector, NXOpen::Axis *derivationObject, bool allowMultipleConnections)NXOpen::Routing::FixturePortCollection
CreateFromAxis(NXOpen::Axis *axis)NXOpen::Routing::FixturePortCollection
CreateFromCsys(NXOpen::CartesianCoordinateSystem *csys, NXOpen::Routing::Port::CreateRotationVector createRotationVector)NXOpen::Routing::FixturePortCollection
end()NXOpen::Routing::FixturePortCollection
Tag() const NXOpen::Routing::FixturePortCollection
~FixturePortCollection() (defined in NXOpen::Routing::FixturePortCollection)NXOpen::Routing::FixturePortCollection
~TaggedObjectCollection() (defined in NXOpen::TaggedObjectCollection)NXOpen::TaggedObjectCollectionvirtual
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.